Subject: Re: [PATCH 6/13] forcedeth: add/modify tx done with limit

From: Ayaz Abdulla <[email-masked]>
Date: Tue, 10 Mar 2009 06:17:52 -0500

David Miller wrote:
> From: Ayaz Abdulla <[email-masked]>
> Date: Thu, 05 Mar 2009 13:02:10 -0500
> 
> 
>>There are two tx_done routines to handle tx completion processing. Both these functions now take in a limit value and return the amount of tx completions. This will be used by a future patch to determine the total amount of work done.
>>
>>Signed-off-by: Ayaz Abdulla <[email-masked]>
> 
> 
> Applied.
> 
> But I would absolutely not count TX completion processing in the
> NAPI work limit as you do in one of the subsequent patches.
> 

I agree. However, I am counting tx work only for the purpose of 
interrupt moderation.  The tx work count is not included in the NAPI 
limit check.
ie.

+	nv_change_interrupt_mode(dev, tx_work + rx_work);

-	if (pkts < budget) {
+	if (rx_work < budget) {

> TX completely is just buffer freeing, very cheap.
> 
> Whereas RX processing involves actually network stack processing
> which is real work and is what NAPI should be limiting.
> 
> Also, please get rid of the NAPI config option for this driver and
> make NAPI unconditionally enabled.
> 

Sure, I will submit a new patch for removing the config option.

> Thanks.

-----------------------------------------------------------------------------------
This email message is for the sole use of the intended recipient(s) and may contain
confidential information.  Any unauthorized review, use, disclosure or distribution
is prohibited.  If you are not the intended recipient, please contact the sender by
reply email and destroy all copies of the original message.
-----------------------------------------------------------------------------------